Chuyển đến nội dung
Diễn đàn CADViet
  • Thông báo

    • Nguyen Hoanh

      CADViet đã hoàn tất nâng cấp   14/09/2017

      Chào các bạn, CADViet đã hoàn tất việc nâng cấp lên phiên bản mới. Tất cả các chức năng đã hoạt động theo kỳ vọng của ban quản trị. Nếu có vấn đề gì cần phản hồi, các bản post ở đây nhé: Trân trọng, Nguyễn Hoành.
Đăng nhập để thực hiện theo  
truongkhai

chỉnh thuộc tính cho nhiều block

Các bài được khuyến nghị

truongkhai    2

Chào các anh, em đ­ược giử cho một bản vẽ có rất nhiều block thuộc tính là toạ độ, nhưng khi in ra thì ko thấy. Có anh chị nào biết cách chỉnh hàng loạt thuộc tính để có thể in ra được không?

Em up lên file block đó: http://www.mediafire.com/?6x7er41idv7x4ll

  • Vote giảm 1

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác
cancer_xd    47

cách chỉnh hàng loạt thuộc tính của block là dùng lênh battman, bạn chọn block cần sửa nhấn edit->Tiếp theo đó bạn sửa theo ý mình

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác
KangKung    229

 

Chào các anh, em đ­ược giử cho một bản vẽ có rất nhiều block thuộc tính là toạ độ, nhưng khi in ra thì ko thấy. Có anh chị nào biết cách chỉnh hàng loạt thuộc tính để có thể in ra được không?

Em up lên file block đó: http://www.mediafire.com/?6x7er41idv7x4ll

Trong bản vẽ bạn gửi có 4 cái block attribute. 4 cái này có chung gốc rễ là cái block toadodiemxenhe (bạn bấm i enter rồi xem thì biết). Chung 1 block thuộc tính thì lẽ ra tất cả các đối tượng Text trong các block trên bản vẽ phải cùng Layer với block gốc nhưng không hiểu bạn hay là người gửi File cho bạn đã chỉnh một số Text trong block về Layer DEFPOINTS. Đây là Layer mặc định không thể in được. Để in được bạn dùng Lisp sau chuyển tất cả đối tượng Text về Layer bất kì (Layer "0" chẳng hạn).

;============CHUYEN DOI TUONG TU LAYER DEFPOINTS TRONG BLOCK ATTRIBUTE VE LAYER "0"=========
;=======================KANGKUNG 05/04/2013=========================
(defun c:KK()
  (vl-load-com)
  (setq taphop(ssget "_X" '((0 . "INSERT"))) i 0)
  (while (< i (sslength taphop))
    (SETQ EN2(ENTNEXT(ssname taphop i)))
    (SETQ ENLIST2(ENTGET EN2))
    (while (/= (cdr(assoc 0 enlist2)) "SEQEND")
      (setq en2(entnext en2))
      (setq enlist2(entget en2))
      (setq obj(vlax-ename->vla-object en2))
      (if (= "DEFPOINTS" (vla-get-layer obj))
	(vla-put-Layer obj "0")))
    (setq i(1+ i))
    )
  (alert "Well Done")
  )
(princ "\n                Written By KangKung - 05/04/2013\n")
(princ "\n                  Nhap KK de chay chuong trinh\n")
  • Vote tăng 1

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác
truongkhai    2

 

Trong bản vẽ bạn gửi có 4 cái block attribute. 4 cái này có chung gốc rễ là cái block toadodiemxenhe (bạn bấm i enter rồi xem thì biết). Chung 1 block thuộc tính thì lẽ ra tất cả các đối tượng Text trong các block trên bản vẽ phải cùng Layer với block gốc nhưng không hiểu bạn hay là người gửi File cho bạn đã chỉnh một số Text trong block về Layer DEFPOINTS. Đây là Layer mặc định không thể in được. Để in được bạn dùng Lisp sau chuyển tất cả đối tượng Text về Layer bất kì (Layer "0" chẳng hạn).

;============CHUYEN DOI TUONG TU LAYER DEFPOINTS TRONG BLOCK ATTRIBUTE VE LAYER "0"=========
;=======================KANGKUNG 05/04/2013=========================
(defun c:KK()
  (vl-load-com)
  (setq taphop(ssget "_X" '((0 . "INSERT"))) i 0)
  (while (< i (sslength taphop))
    (SETQ EN2(ENTNEXT(ssname taphop i)))
    (SETQ ENLIST2(ENTGET EN2))
    (while (/= (cdr(assoc 0 enlist2)) "SEQEND")
      (setq en2(entnext en2))
      (setq enlist2(entget en2))
      (setq obj(vlax-ename->vla-object en2))
      (if (= "DEFPOINTS" (vla-get-layer obj))
	(vla-put-Layer obj "0")))
    (setq i(1+ i))
    )
  (alert "Well Done")
  )
(princ "\n                Written By KangKung - 05/04/2013\n")
(princ "\n                  Nhap KK de chay chuong trinh\n")

Cảm ơn anh đã quan tâm, bữa trước không in được em cũng chỉ in ra tên điểm rồi thống kê excel thôi. Em có lưu lại lisp a viết thành 1 file kk.lisp rồi load lên mà nó chạy báo lỗi sao đó"error: bad argument type: lentityp nil"; em vẫn chưa in được.

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác
KangKung    229

Bạn đã cài Express Tool chưa? Nếu chưa cài thì dùng thử cái này xem có được không. Trên máy mình chạy ngon.

;====CHUYEN TEXT TU LAYER DEFPOINTS TRONG BLOCK ATTRIBUTE VE LAYER "0"====
;=======================KANGKUNG 05/04/2013===============================
;========================UPDATED 07/04/2013===============================
(defun c:KK()
  (vl-load-com)
  (setq taphop(ssget "_X" '((0 . "INSERT"))) i 0)
  (while (< i (sslength taphop))
    (SETQ EN2(ENTNEXT(ssname taphop i)))
    (SETQ ENLIST2(ENTGET EN2))
    (while (/= (cdr(assoc 0 enlist2)) "SEQEND")
      (setq en2(entnext en2))
      (setq enlist2(entget en2))
      (if (= "DEFPOINTS" (cdr(assoc 8 enlist2)))
	(entmod (subst (cons 8 "0") (assoc 8 enlist2) enlist2))
	)
      )
    (setq i(1+ i))
    )
  (command "REGEN")
  (alert "Well Done")
  )
(princ "\n                Written By KangKung - 05/04/2013\n")
(princ "\n                  Nhap KK de chay chuong trinh\n")

  • Vote tăng 2

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác
truongkhai    2

Bạn đã cài Express Tool chưa? Nếu chưa cài thì dùng thử cái này xem có được không. Trên máy mình chạy ngon.

;====CHUYEN TEXT TU LAYER DEFPOINTS TRONG BLOCK ATTRIBUTE VE LAYER "0"====
;=======================KANGKUNG 05/04/2013===============================
;========================UPDATED 07/04/2013===============================
(defun c:KK()
  (vl-load-com)
  (setq taphop(ssget "_X" '((0 . "INSERT"))) i 0)
  (while (< i (sslength taphop))
    (SETQ EN2(ENTNEXT(ssname taphop i)))
    (SETQ ENLIST2(ENTGET EN2))
    (while (/= (cdr(assoc 0 enlist2)) "SEQEND")
      (setq en2(entnext en2))
      (setq enlist2(entget en2))
      (if (= "DEFPOINTS" (cdr(assoc 8 enlist2)))
	(entmod (subst (cons 8 "0") (assoc 8 enlist2) enlist2))
	)
      )
    (setq i(1+ i))
    )
  (command "REGEN")
  (alert "Well Done")
  )
(princ "\n                Written By KangKung - 05/04/2013\n")
(princ "\n                  Nhap KK de chay chuong trinh\n")

Không hiểu sao trên máy em không chạy được lisp trên, mặc dù e có cài express tool rồi; thử trên cad mới cũ gì cung không được. Dù sao cũng cảm ơn anh KangKung.

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

Tạo một tài khoản hoặc đăng nhập để nhận xét

Bạn cần phải là một thành viên để lại một bình luận

Tạo tài khoản

Đăng ký một tài khoản mới trong cộng đồng của chúng tôi. Điều đó dễ mà.

Đăng ký tài khoản mới

Đăng nhập

Bạn có sẵn sàng để tạo một tài khoản ? Đăng nhập tại đây.

Đăng nhập ngay

Đăng nhập để thực hiện theo  

×